#include <stdio.h>

FILE*	code_file;

#define emit_label(lab) { \
    fprintf(code_file,"%s:",lab); \
    if (strlen(lab)>4) fprintf(code_file,"\n"); \
}

#define emit_ins(ins) \
    fprintf(code_file,"\t%s\n",ins)

#define emit_ins1(ins,reg1) \
    fprintf(code_file,"\t%s\t%s\n",ins,reg1)

#define emit_ins2(ins,reg1,reg2) \
    fprintf(code_file,"\t%s\t%s, %s\n",ins,reg1,reg2)

#define emit_ins3(ins,reg1,reg2,reg3) \
    fprintf(code_file,"\t%s\t%s, %s, %s\n",ins,reg1,reg2,reg3)

#include <stdarg.h>
void emit_comment(char *format,...)
{
    va_list ap;
    char buf[1000];
    va_start(ap,format);
    vsprintf(buf,format,ap);
    va_end(ap);
    fprintf(code_file,"\n\t/* %s */\n",buf);
}

